# wordproof-timestamp
WordProof Timestamp Plugin for WordPress

## Welcome to the WordProof Timestamp GitHub repository

While the documentation for the [WordProof Timestamp plugin](https://wordproof.io/guide) can be found on [WordProof.io](https://wordproof.io), here
you can browse the source of the project, find and discuss open issues and even
contribute yourself.

## Security issues
Please do not report security issues here. Instead, email them to info at wordproof dot io so we can deal with them securely and quickly.

## I have found a bug
Before opening a new issue, please:
* update to the newest versions of WordPress and the WordProof Timestamp plugins.
* search for duplicate issues to prevent opening a duplicate issue. If there is already an open existing issue, please comment on that issue.
* check for [JavaScript errors with your browser's console](https://yoa.st/1y3) - please report your findings in the issue.
* add as much information as possible. For example: add screenshots, relevant links, step by step guides etc.

## I have a feature request
Before opening a new issue, please:
* search for duplicate issues to prevent opening a duplicate feature request. If there is already an open existing request, please leave a comment there.
* add as much information as possible. For example: give us a clear explanation of why you think the feature request is something we should consider for the WordProof Timestamp plugins.

## I want to create a patch
Community made patches, localizations, bug reports and contributions are very welcome and help WordProof remain the #1 blockchain timestamp plugin for WordPress.

## Codesniffer
We make use of the [adapted WordPress Coding Standard by WPEngine](https://github.com/wpengine/wpengine-coding-standards). Please run `./vendor/bin/phpcs --standard=WP-Engine ./includes` before submitting your pull request.  

## Get in touch with the WordProof community

* [WordProof Telegram Community](https://t.me/WordProof)
* [WordProof Mailing](https://wordproof.io/get-involved)
